Subject: [quicwg/base-drafts] HTTP/QUIC supports server push as described in [RFC7540], except where it doesn't (#1175)

From: Lucas Pardue <[email-masked]>
Date: Thu, 08 Mar 2018 22:40:38 +0000 (UTC)

In the process of discussing some design for HTTP/QUIC PUSH_PROMISE, I was reminded that promised requests must fit within certain criteria. I thought this was defined in the HTTP mapping but it is actually referenced back to RFC7540 section 8.2. There is nothing inherently wrong with that. (for the curious, the text I wanted says "Promised requests MUST be cacheable (see [RFC7231], Section 4.2.3),  MUST be safe (see [RFC7231], Section 4.2.1), and MUST NOT include a request body.")

However, having read HTTP/QUIC section 3.4 again it comes across as a bit awkward (hence the annoying issue title). 

I think this is just an editorial issue to reword and/or restructure the section a little.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1175

---

From: Mike Bishop <[email-masked]>
Date: Sun, 18 Mar 2018 16:16:29 +0000 (UTC)

Closed #1175 via #1210.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/1175#event-1527296972